CAMB_source

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Abhirup Datta
Posts: 6
Joined: January 22 2008
Affiliation: New Mexico Tech

CAMB_source

Post by Abhirup Datta » February 28 2008

Hi

I am trying to install the CAMB_source, for getting the 21 cm Power Spectrum, and I am having some trouble in installing the code.

when I run Make, I recevie the errors as below ..
---------------------------------------------------------------------------
bash-3.00$ make
gfortran -O2 -DGFC -c utils.F90
In file utils.F90:780

Temp%p => Arr(I)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:781

Arr(I)%p => Arr(J)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:781

Arr(I)%p => Arr(J)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:782

Arr(J)%p => Temp%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:736

Temp%p => Arr(I)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:737

Arr(I)%p => Arr(J)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:737

Arr(I)%p => Arr(J)%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:738

Arr(J)%p => Temp%p
1
Error: The upper bound in the last dimension must appear in the reference to the assumed size array 'arr' at (1).
In file utils.F90:800

use Lists
1
Fatal Error: Can't open module file 'lists.mod' for reading at (1): No suchfile or directory
make: *** [utils.o] Error 1
-----------------------------------------------------------

Thanks
Abhi

Antony Lewis
Posts: 1503
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: CAMB_source

Post by Antony Lewis » February 28 2008

The latest gfortran-compatible version of my utils.F90 file is at

http://cosmologist.info/utils/utils.F90

Abhirup Datta
Posts: 6
Joined: January 22 2008
Affiliation: New Mexico Tech

CAMB_source

Post by Abhirup Datta » February 28 2008

Hi Antony

I tried the new version still the error remains the same .. I am not sure whats going on .. sorry

thanks

Abhi

Antony Lewis
Posts: 1503
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: CAMB_source

Post by Antony Lewis » February 29 2008

It compiles fine for me in GFortran 4.3 (in earlier versions will need to add -D__GFORTRAN__).

Abhirup Datta
Posts: 6
Joined: January 22 2008
Affiliation: New Mexico Tech

CAMB_source

Post by Abhirup Datta » February 29 2008

Hi Antony

It ran fine this time ..

Thanks a lot
Abhi

Post Reply